package org.eclipse.albireo.core;

import java.util.EventListener;

/**
 * A listener that is notified on events related to 
 * the size of the embedded Swing control 
 */
public interface SizeListener extends EventListener {
    /**
     * See {@link SwingControl#preferredSizeChanged(org.eclipse.swt.graphics.Point, org.eclipse.swt.graphics.Point, org.eclipse.swt.graphics.Point)}
     * for information on when this method is called. 
     * 
     * @param event
     */
    void preferredSizeChanged(SizeEvent event);
}
